Skip to content

Allowed IPs

All operations require authentication.

8 operationsv1/hosting/privateDatabase
Agent setup

Get web hosting network accessProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork

Returns whether OVHcloud web hostings can reach the service: enabled, disabled, or being changed.

Path parameters

serviceName
required
string

Service name

Response

200webhostingNetworksuccessful operation
status
read-only
StatusEnum

Webhosting network status

Valuesdisableddisablingenabledenabling

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "status": "disabled"}

Enable web hosting network accessProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork

Allows connections from OVHcloud web hostings to the service. Returns a task to follow the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Disable web hosting network accessProduction

DELETE
/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork

Blocks connections from OVHcloud web hostings to the service. Returns a task to follow the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/webhostingNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

List allowed IPsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/whitelist

Returns the IPs and IP blocks allowed to access the service.

Path parameters

serviceName
required
string

Service name

Query parameters

ip
string

Filter the value of ip property (contains or equals)

service
boolean

Filter the value of service property

sftp
boolean

Filter the value of sftp property

Response

200ipv4Block[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/whitelist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Add an allowed IPProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/whitelist

Allows an IP or IP block to access the service port, the SFTP port, or both. Returns a task to follow the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

ip
required
string

The IP allowed to access your Web Cloud Database

name
string

Custom name for your allowed IP

service
boolean

Authorize this IP to access service port

sftp
boolean

Authorize this IP to access sftp port

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/whitelist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Get an allowed IPProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip}

Returns the name and status of the allowed IP, and whether it can access the service port and the SFTP port.

Path parameters

ip
required
ipv4Block

Ip

serviceName
required
string

Service name

Response

200Whitelistsuccessful operation
creationDate
read-only
stringdate-time

Creation date of this allowed IP

ip
read-only
ipv4Block

The IP allowed to access your Web Cloud Database

lastUpdate
read-only
stringdate-time

The last update date of this allowed IP

name
string

Custom name for your allowed IP

service
boolean

Authorize this IP to access service port

sftp
boolean

Authorize this IP to access sftp port

status
read-only
StatusEnum

Allowed IP status

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The id of the task working on this object

Example uses ip = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "ip": "192.0.2.0/24", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "service": true, "sftp": true, "status": "created", "taskId": 0}

Update an allowed IPProduction

PUT
/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip}

Updates the name of the allowed IP and its access to the service port and the SFTP port.

Path parameters

ip
required
ipv4Block

Ip

serviceName
required
string

Service name

Request body (required)

creationDate
read-only
stringdate-time

Creation date of this allowed IP

ip
read-only
ipv4Block

The IP allowed to access your Web Cloud Database

lastUpdate
read-only
stringdate-time

The last update date of this allowed IP

name
string

Custom name for your allowed IP

service
boolean

Authorize this IP to access service port

sftp
boolean

Authorize this IP to access sftp port

status
read-only
StatusEnum

Allowed IP status

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The id of the task working on this object

Response

200—successful operation

Example uses ip = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an allowed IPProduction

DELETE
/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip}

Removes the IP from the allowed list, so it can no longer access the service.

Path parameters

ip
required
ipv4Block

Ip

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses ip = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/whitelist/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}